package com.mortals.xhx.module.certificate.service.impl;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.util.StringUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.certificate.dao.DeviceClassifyDao;
import com.mortals.xhx.module.certificate.model.DeviceClassifyEntity;
import com.mortals.xhx.module.certificate.service.DeviceClassifyService;

import java.util.ArrayList;
import java.util.List;

/**
* DeviceClassifyService
* 证照分类设备配置 service实现
*
* @author zxfei
* @date 2023-05-09
*/
@Service("deviceClassifyService")
public class DeviceClassifyServiceImpl extends AbstractCRUDServiceImpl<DeviceClassifyDao, DeviceClassifyEntity, Long> implements DeviceClassifyService {

    @Override
    public List<Long> getClassifyByDevice(String deviceNum) {
        DeviceClassifyEntity query = new DeviceClassifyEntity();
        query.setDeviceCode(deviceNum);
        DeviceClassifyEntity deviceClassifyEntity = this.selectOne(query);
        if(deviceClassifyEntity!=null){
            if(StringUtils.isNotEmpty(deviceClassifyEntity.getClassifyIds())){
                List<Long> classifyIdList = new ArrayList<>();
                String[] ids = deviceClassifyEntity.getClassifyIds().split(",");
                for (String id:ids){
                    classifyIdList.add(DataUtil.converStr2Long(id,0l));
                }
                return classifyIdList;
            }
        }
        return null;
    }
}