package com.mortals.xhx.module.record.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.ApplyLogVo;
/**
 * 证照申请实体对象
 *
 * @author zxfei
 * @date 2022-11-07
 */

public class ApplyLogEntity extends ApplyLogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 证照档案ID
     */
    private Long recordId;
    /**
     * 证照目录ID
     */
    private Long catalogId;
    /**
     * 证照目录编号
     */
    private String catalogCode;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 证件编号
     */
    private String certificateCode;
    /**
     * 证件名称
     */
    private String certificateName;
    /**
     * 颁发时间
     */
    private Date issueTime;
    /**
     * 取件人姓名
     */
    private String pickerName;
    /**
     * 取件人证件号码
     */
    private String pickerIDCardNo;
    /**
     * 持有者类型，1：自然人，2：法人，3：自然人法人
     */
    private Integer holderType;
    /**
     * 持有者证件类型，1：身份证，2：组织机构代码等
     */
    private Integer holderIdType;
    /**
     * 持有者名称
     */
    private String holderName;
    /**
     * 持有者证件号码
     */
    private String holderIDCardNo;
    /**
     * 企业名称
     */
    private String enterpriseName;
    /**
     * 有效期起始
     */
    private Date validityStart;
    /**
     * 有效期截止
     */
    private Date validityEnd;
    /**
     * 专网ID
     */
    private String privateID;
    /**
     * 证件附件地址
     */
    private String certificateUrl;
    /**
     * 证件预览地址
     */
    private String previewUrl;
    /**
     * 证照模板正本表单内容
     */
    private String formContent;
    /**
     * 证照模板正本表单内容
     */
    private String formTemplate;
    /**
     * 生成状态1未生成2已生成
     */
    private Integer generateStatus;
    /**
     * 档案操作类型1新增2变更
     */
    private Integer operType;
    /**
     * 归档状态0否1是
     */
    private Integer recordStatus;



    public ApplyLogEntity(){}
    /**
     * 获取 证照档案ID
     * @return Long
     */
    public Long getRecordId(){
        return recordId;
    }
    /**
     * 设置 证照档案ID
     * @param recordId
     */
    public void setRecordId(Long recordId){
        this.recordId = recordId;
    }
    /**
     * 获取 证照目录ID
     * @return Long
     */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
     * 设置 证照目录ID
     * @param catalogId
     */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }
    /**
     * 获取 证照目录编号
     * @return String
     */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
     * 设置 证照目录编号
     * @param catalogCode
     */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
     * 获取 目录名称
     * @return String
     */
    public String getCatalogName(){
        return catalogName;
    }
    /**
     * 设置 目录名称
     * @param catalogName
     */
    public void setCatalogName(String catalogName){
        this.catalogName = catalogName;
    }
    /**
     * 获取 证件编号
     * @return String
     */
    public String getCertificateCode(){
        return certificateCode;
    }
    /**
     * 设置 证件编号
     * @param certificateCode
     */
    public void setCertificateCode(String certificateCode){
        this.certificateCode = certificateCode;
    }
    /**
     * 获取 证件名称
     * @return String
     */
    public String getCertificateName(){
        return certificateName;
    }
    /**
     * 设置 证件名称
     * @param certificateName
     */
    public void setCertificateName(String certificateName){
        this.certificateName = certificateName;
    }
    /**
     * 获取 颁发时间
     * @return Date
     */
    public Date getIssueTime(){
        return issueTime;
    }
    /**
     * 设置 颁发时间
     * @param issueTime
     */
    public void setIssueTime(Date issueTime){
        this.issueTime = issueTime;
    }
    /**
     * 获取 取件人姓名
     * @return String
     */
    public String getPickerName(){
        return pickerName;
    }
    /**
     * 设置 取件人姓名
     * @param pickerName
     */
    public void setPickerName(String pickerName){
        this.pickerName = pickerName;
    }
    /**
     * 获取 取件人证件号码
     * @return String
     */
    public String getPickerIDCardNo(){
        return pickerIDCardNo;
    }
    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNo
     */
    public void setPickerIDCardNo(String pickerIDCardNo){
        this.pickerIDCardNo = pickerIDCardNo;
    }
    /**
     * 获取 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return Integer
     */
    public Integer getHolderType(){
        return holderType;
    }
    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderType
     */
    public void setHolderType(Integer holderType){
        this.holderType = holderType;
    }
    /**
     * 获取 持有者证件类型，1：身份证，2：组织机构代码等
     * @return Integer
     */
    public Integer getHolderIdType(){
        return holderIdType;
    }
    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdType
     */
    public void setHolderIdType(Integer holderIdType){
        this.holderIdType = holderIdType;
    }
    /**
     * 获取 持有者名称
     * @return String
     */
    public String getHolderName(){
        return holderName;
    }
    /**
     * 设置 持有者名称
     * @param holderName
     */
    public void setHolderName(String holderName){
        this.holderName = holderName;
    }
    /**
     * 获取 持有者证件号码
     * @return String
     */
    public String getHolderIDCardNo(){
        return holderIDCardNo;
    }
    /**
     * 设置 持有者证件号码
     * @param holderIDCardNo
     */
    public void setHolderIDCardNo(String holderIDCardNo){
        this.holderIDCardNo = holderIDCardNo;
    }
    /**
     * 获取 企业名称
     * @return String
     */
    public String getEnterpriseName(){
        return enterpriseName;
    }
    /**
     * 设置 企业名称
     * @param enterpriseName
     */
    public void setEnterpriseName(String enterpriseName){
        this.enterpriseName = enterpriseName;
    }
    /**
     * 获取 有效期起始
     * @return Date
     */
    public Date getValidityStart(){
        return validityStart;
    }
    /**
     * 设置 有效期起始
     * @param validityStart
     */
    public void setValidityStart(Date validityStart){
        this.validityStart = validityStart;
    }
    /**
     * 获取 有效期截止
     * @return Date
     */
    public Date getValidityEnd(){
        return validityEnd;
    }
    /**
     * 设置 有效期截止
     * @param validityEnd
     */
    public void setValidityEnd(Date validityEnd){
        this.validityEnd = validityEnd;
    }
    /**
     * 获取 专网ID
     * @return String
     */
    public String getPrivateID(){
        return privateID;
    }
    /**
     * 设置 专网ID
     * @param privateID
     */
    public void setPrivateID(String privateID){
        this.privateID = privateID;
    }
    /**
     * 获取 证件附件地址
     * @return String
     */
    public String getCertificateUrl(){
        return certificateUrl;
    }
    /**
     * 设置 证件附件地址
     * @param certificateUrl
     */
    public void setCertificateUrl(String certificateUrl){
        this.certificateUrl = certificateUrl;
    }
    /**
     * 获取 证件预览地址
     * @return String
     */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
     * 设置 证件预览地址
     * @param previewUrl
     */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return String
     */
    public String getFormContent(){
        return formContent;
    }
    /**
     * 设置 证照模板正本表单内容
     * @param formContent
     */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return String
     */
    public String getFormTemplate(){
        return formTemplate;
    }
    /**
     * 设置 证照模板正本表单内容
     * @param formTemplate
     */
    public void setFormTemplate(String formTemplate){
        this.formTemplate = formTemplate;
    }
    /**
     * 获取 生成状态1未生成2已生成
     * @return Integer
     */
    public Integer getGenerateStatus(){
        return generateStatus;
    }
    /**
     * 设置 生成状态1未生成2已生成
     * @param generateStatus
     */
    public void setGenerateStatus(Integer generateStatus){
        this.generateStatus = generateStatus;
    }
    /**
     * 获取 档案操作类型1新增2变更
     * @return Integer
     */
    public Integer getOperType(){
        return operType;
    }
    /**
     * 设置 档案操作类型1新增2变更
     * @param operType
     */
    public void setOperType(Integer operType){
        this.operType = operType;
    }
    /**
     * 获取 归档状态0否1是
     * @return Integer
     */
    public Integer getRecordStatus(){
        return recordStatus;
    }
    /**
     * 设置 归档状态0否1是
     * @param recordStatus
     */
    public void setRecordStatus(Integer recordStatus){
        this.recordStatus = recordStatus;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ApplyLogEntity) {
            ApplyLogEntity tmp = (ApplyLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",recordId:").append(getRecordId());
        sb.append(",catalogId:").append(getCatalogId());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",catalogName:").append(getCatalogName());
        sb.append(",certificateCode:").append(getCertificateCode());
        sb.append(",certificateName:").append(getCertificateName());
        sb.append(",issueTime:").append(getIssueTime());
        sb.append(",pickerName:").append(getPickerName());
        sb.append(",pickerIDCardNo:").append(getPickerIDCardNo());
        sb.append(",holderType:").append(getHolderType());
        sb.append(",holderIdType:").append(getHolderIdType());
        sb.append(",holderName:").append(getHolderName());
        sb.append(",holderIDCardNo:").append(getHolderIDCardNo());
        sb.append(",enterpriseName:").append(getEnterpriseName());
        sb.append(",validityStart:").append(getValidityStart());
        sb.append(",validityEnd:").append(getValidityEnd());
        sb.append(",privateID:").append(getPrivateID());
        sb.append(",certificateUrl:").append(getCertificateUrl());
        sb.append(",previewUrl:").append(getPreviewUrl());
        sb.append(",formContent:").append(getFormContent());
        sb.append(",formTemplate:").append(getFormTemplate());
        sb.append(",generateStatus:").append(getGenerateStatus());
        sb.append(",operType:").append(getOperType());
        sb.append(",recordStatus:").append(getRecordStatus());
        return sb.toString();
    }

    public void initAttrValue(){

        this.recordId = null;

        this.catalogId = null;

        this.catalogCode = "";

        this.catalogName = "";

        this.certificateCode = "";

        this.certificateName = "";

        this.issueTime = null;

        this.pickerName = "";

        this.pickerIDCardNo = "";

        this.holderType = 1;

        this.holderIdType = 1;

        this.holderName = "";

        this.holderIDCardNo = "";

        this.enterpriseName = "";

        this.validityStart = null;

        this.validityEnd = null;

        this.privateID = "";

        this.certificateUrl = "";

        this.previewUrl = "";

        this.formContent = "";

        this.formTemplate = "";

        this.generateStatus = 1;

        this.operType = 1;

        this.recordStatus = 0;
    }
}