package com.mortals.xhx.module.record.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.RetainLogVo;
/**
* 证照持有实体对象
*
* @author zxfei
* @date 2022-11-04
*/

public class RetainLogEntity extends RetainLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 证照档案ID
    */
    private Long recordId;
    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 证照名称
    */
    private String certificateName;
    /**
    * 证照编号
    */
    private String certificateCode;
    /**
    * 企业名称
    */
    private String enterpriseName;
    /**
    * 持有者姓名
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 证照状态，1正常2注销
    */
    private Integer certificateStatus;
    /**
    * 证件附件地址
    */
    private String certificateUrl;
    /**
    * 证件预览地址
    */
    private String previewUrl;



    public RetainLogEntity(){}
    /**
    * 获取 证照档案ID
    * @return Long
    */
    public Long getRecordId(){
        return recordId;
    }
    /**
    * 设置 证照档案ID
    * @param recordId
    */
    public void setRecordId(Long recordId){
        this.recordId = recordId;
    }
    /**
    * 获取 证照目录ID
    * @return Long
    */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
    * 设置 证照目录ID
    * @param catalogId
    */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }
    /**
    * 获取 证照目录编号
    * @return String
    */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
    * 获取 目录名称
    * @return String
    */
    public String getCatalogName(){
        return catalogName;
    }
    /**
    * 设置 目录名称
    * @param catalogName
    */
    public void setCatalogName(String catalogName){
        this.catalogName = catalogName;
    }
    /**
    * 获取 证照名称
    * @return String
    */
    public String getCertificateName(){
        return certificateName;
    }
    /**
    * 设置 证照名称
    * @param certificateName
    */
    public void setCertificateName(String certificateName){
        this.certificateName = certificateName;
    }
    /**
    * 获取 证照编号
    * @return String
    */
    public String getCertificateCode(){
        return certificateCode;
    }
    /**
    * 设置 证照编号
    * @param certificateCode
    */
    public void setCertificateCode(String certificateCode){
        this.certificateCode = certificateCode;
    }
    /**
    * 获取 企业名称
    * @return String
    */
    public String getEnterpriseName(){
        return enterpriseName;
    }
    /**
    * 设置 企业名称
    * @param enterpriseName
    */
    public void setEnterpriseName(String enterpriseName){
        this.enterpriseName = enterpriseName;
    }
    /**
    * 获取 持有者姓名
    * @return String
    */
    public String getHolderName(){
        return holderName;
    }
    /**
    * 设置 持有者姓名
    * @param holderName
    */
    public void setHolderName(String holderName){
        this.holderName = holderName;
    }
    /**
    * 获取 持有者证件号码
    * @return String
    */
    public String getHolderIDCardNo(){
        return holderIDCardNo;
    }
    /**
    * 设置 持有者证件号码
    * @param holderIDCardNo
    */
    public void setHolderIDCardNo(String holderIDCardNo){
        this.holderIDCardNo = holderIDCardNo;
    }
    /**
    * 获取 证照状态，1正常2注销
    * @return Integer
    */
    public Integer getCertificateStatus(){
        return certificateStatus;
    }
    /**
    * 设置 证照状态，1正常2注销
    * @param certificateStatus
    */
    public void setCertificateStatus(Integer certificateStatus){
        this.certificateStatus = certificateStatus;
    }
    /**
    * 获取 证件附件地址
    * @return String
    */
    public String getCertificateUrl(){
        return certificateUrl;
    }
    /**
    * 设置 证件附件地址
    * @param certificateUrl
    */
    public void setCertificateUrl(String certificateUrl){
        this.certificateUrl = certificateUrl;
    }
    /**
    * 获取 证件预览地址
    * @return String
    */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
    * 设置 证件预览地址
    * @param previewUrl
    */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RetainLogEntity) {
            RetainLogEntity tmp = (RetainLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",recordId:").append(getRecordId());
        sb.append(",catalogId:").append(getCatalogId());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",catalogName:").append(getCatalogName());
        sb.append(",certificateName:").append(getCertificateName());
        sb.append(",certificateCode:").append(getCertificateCode());
        sb.append(",enterpriseName:").append(getEnterpriseName());
        sb.append(",holderName:").append(getHolderName());
        sb.append(",holderIDCardNo:").append(getHolderIDCardNo());
        sb.append(",certificateStatus:").append(getCertificateStatus());
        sb.append(",certificateUrl:").append(getCertificateUrl());
        sb.append(",previewUrl:").append(getPreviewUrl());
        return sb.toString();
    }

    public void initAttrValue(){

            this.recordId = null;

            this.catalogId = null;

            this.catalogCode = "";

            this.catalogName = "";

            this.certificateName = "";

            this.certificateCode = "";

            this.enterpriseName = "";

            this.holderName = "";

            this.holderIDCardNo = "";

            this.certificateStatus = 1;

            this.certificateUrl = "";

            this.previewUrl = "";
    }
}