package com.mortals.xhx.module.record.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.certificate.pdu.ApplyLogPdu;
import com.mortals.xhx.module.record.model.ApplyLogEntity;

import java.util.List;
import java.util.Map;

/**
* ApplyLogService
*
* 证照申请 service接口
*
* @author zxfei
* @date 2022-10-14
*/
public interface ApplyLogService extends ICRUDService<ApplyLogEntity,Long>{

    /**
     * 预览正本
     * @param applyLogEntity
     * @return
     */
    String previewOriginal(ApplyLogEntity applyLogEntity, Context context) throws AppException;

    /**
     * 生成正本
     * @param applyLogEntity
     * @return
     */
    void generateOriginal(ApplyLogEntity applyLogEntity, Context context) throws AppException;


    /**
     * 变更记录
     * @param applyId
     * @return
     * @throws AppException
     */
    List<ApplyLogEntity> ApplyRecord(Long applyId) throws AppException;

    /**
     * 批量导入
     * @param dataList
     * @param fileMap 图片
     * @param catalogId
     * @param context
     * @return
     */
    String importData(List<Map<Integer, Object>> dataList,Map<String,String> fileMap,Long catalogId,Context context) throws AppException;

    /**
     * api接口提交数据
     * @param pdu
     * @throws AppException
     */
    void apiSaveApplyLog(ApplyLogPdu pdu) throws AppException;

    /***
     * 微中台接口数据转存
     * @param pdu
     * @param classifyName
     * @throws AppException
     */
    void midSaveApplyLog(ApplyLogPdu pdu,String classifyName) throws AppException;
}